GeneratorContext (Groovy 3.0.7)

Package org.codehaus.groovy.classgen

## Class GeneratorContext

- java.lang.Object
- - org.codehaus.groovy.classgen.GeneratorContext

-     public class GeneratorContext
      extends Object

  A context shared across generations of a class and its inner classes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneratorContext​(CompileUnit compileUnit)` |
    `GeneratorContext​(CompileUnit compileUnit, int innerClassOffset)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `encodeAsValidClassName​(String name)` |
    `CompileUnit` | `getCompileUnit()` |
    `String` | `getNextClosureInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)` |
    `String` | `getNextConstructorReferenceSyntheticMethodName​(MethodNode enclosingMethodNode)` |
    `int` | `getNextInnerClassIdx()` |
    `String` | `getNextLambdaInnerName​(ClassNode owner, ClassNode enclosingClass, MethodNode enclosingMethod)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratorContext

          public GeneratorContext​(CompileUnit compileUnit)

    - #### GeneratorContext

          public GeneratorContext​(CompileUnit compileUnit,
                                  int innerClassOffset)

  - ### Method Detail

    - #### getNextInnerClassIdx

          public int getNextInnerClassIdx()

    - #### getCompileUnit

          public CompileUnit getCompileUnit()

    - #### getNextClosureInnerName

          public String getNextClosureInnerName​(ClassNode owner,
                                                ClassNode enclosingClass,
                                                MethodNode enclosingMethod)

    - #### getNextLambdaInnerName

          public String getNextLambdaInnerName​(ClassNode owner,
                                               ClassNode enclosingClass,
                                               MethodNode enclosingMethod)

    - #### getNextConstructorReferenceSyntheticMethodName

          public String getNextConstructorReferenceSyntheticMethodName​(MethodNode enclosingMethodNode)

    - #### encodeAsValidClassName

          public static String encodeAsValidClassName​(String name)